RSADECRYPT(1)

NAME
rsadecrypt - Runs TPM2_RsaDecrypt

DESCRIPTION
--version-string=v1045 is not a valid option

rsadecrypt

Runs TPM2_RSA_Decrypt

-hk key handle

-pwdk password for key (default empty)

-ie encrypt file name

-od decrypt file name (default do not save)

    [-oid (sha1, sha256, sha384) optionally add OID and PKCS1 padding

    to the encrypt data (demo of signing with arbitrary OID)

-se[0-2] session handle / attributes (default PWAP)

    01 continue

--version is not a valid option

rsadecrypt

Runs TPM2_RSA_Decrypt

-hk key handle

-pwdk password for key (default empty)

-ie encrypt file name

-od decrypt file name (default do not save)

    [-oid (sha1, sha256, sha384) optionally add OID and PKCS1 padding

    to the encrypt data (demo of signing with arbitrary OID)

-se[0-2] session handle / attributes (default PWAP)

    01 continue

SEE ALSO
The full documentation for rsadecrypt is maintained as a Texinfo manual. If the info and rsadecrypt programs are properly installed at your site, the command

    info rsadecrypt

should give you access to the complete manual.